# Visualization
TKService
Image

# Image_PixelFieldOfDColorImage Class Reference

`#include <Image_PixelFieldOfDColorImage.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Image_PixelFieldOfDColorImage (const Standard_Integer Width, const Standard_Integer Height)
Standard_EXPORT | Image_PixelFieldOfDColorImage (const Standard_Integer Width, const Standard_Integer Height, const Aspect_ColorPixel &V)
Standard_EXPORT void | Destroy ()
| ~Image_PixelFieldOfDColorImage ()
Standard_Integer | Width () const
Standard_Integer | Height () const
Standard_Integer | UpperX () const
Standard_Integer | UpperY () const
void | SetValue (const Standard_Integer X, const Standard_Integer Y, const Aspect_ColorPixel &Value)
const Aspect_ColorPixel & | Value (const Standard_Integer X, const Standard_Integer Y) const
const Aspect_ColorPixel & | operator() (const Standard_Integer X, const Standard_Integer Y) const
Aspect_ColorPixel & | ChangeValue (const Standard_Integer X, const Standard_Integer Y)
Aspect_ColorPixel & | operator() (const Standard_Integer X, const Standard_Integer Y)

## Private Attributes

Standard_Integer | myWidth
Standard_Integer | myHeight
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT Image_PixelFieldOfDColorImage::Image_PixelFieldOfDColorImage | ( | const Standard_Integer | Width,
|  | const Standard_Integer | Height
| ) |

Standard_EXPORT Image_PixelFieldOfDColorImage::Image_PixelFieldOfDColorImage | ( | const Standard_Integer | Width,
|  | const Standard_Integer | Height,
|  | const Aspect_ColorPixel & | V
| ) |

Image_PixelFieldOfDColorImage::~Image_PixelFieldOfDColorImage | ( |  | ) | `[inline]`

## Member Function Documentation

Aspect_ColorPixel& Image_PixelFieldOfDColorImage::ChangeValue | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y
| ) |

Standard_EXPORT void Image_PixelFieldOfDColorImage::Destroy | ( |  | ) |

Standard_Integer Image_PixelFieldOfDColorImage::Height | ( |  | ) | const

void Image_PixelFieldOfDColorImage::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Image_PixelFieldOfDColorImage::operator new | ( | size_t | size | ) | `[inline]`

void* Image_PixelFieldOfDColorImage::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Aspect_ColorPixel& Image_PixelFieldOfDColorImage::operator() | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y
| ) | `[inline]`

const Aspect_ColorPixel& Image_PixelFieldOfDColorImage::operator() | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y
| ) | const`[inline]`

void Image_PixelFieldOfDColorImage::SetValue | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y,
|  | const Aspect_ColorPixel & | Value
| ) |

Standard_Integer Image_PixelFieldOfDColorImage::UpperX | ( |  | ) | const

Standard_Integer Image_PixelFieldOfDColorImage::UpperY | ( |  | ) | const

const Aspect_ColorPixel& Image_PixelFieldOfDColorImage::Value | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y
| ) | const

Standard_Integer Image_PixelFieldOfDColorImage::Width | ( |  | ) | const

## Field Documentation

Standard_Address Image_PixelFieldOfDColorImage::myData `[private]`

Standard_Boolean Image_PixelFieldOfDColorImage::myDeletable `[private]`

Standard_Integer Image_PixelFieldOfDColorImage::myHeight `[private]`

Standard_Integer Image_PixelFieldOfDColorImage::myWidth `[private]`

The documentation for this class was generated from the following file:

- Image_PixelFieldOfDColorImage.hxx